﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;
using System.Windows.Forms;

namespace pr274_1
{
    // Класс создается наследованием класса Form: 
    class MyForm : Form
    {
        // Закрытое поле для запоминания фонового цвета окна: 
        private Color baseColor;
        // Конструктор:
        public MyForm(string txt)
            : base()
        {
            // Заголовок окна:
            Text = txt;
            // Высота окна:
            Height = 200;
            // Ширина окна:
            Width = 300;
            // Окно неизменных размеров: 
            FormBorderStyle = FormBorderStyle.Fixed3D;
            // Считывание значения для фонового цвета окна: 
            baseColor = BackColor;
            // Обработчик для события, связанного с наведением 
            // курсора мыши на область окна: 
            MouseEnter += (a, b) =>
            {
                // Цвет фона окна - красный:
                BackColor = Color.Red;
            };
            // Обработчик события, связанного с выходом курсора 
            // мыши за пределы области окна: 
            MouseLeave += (a, b) =>
            {
                // Применение исходного цвета для фона окна: 
                BackColor = baseColor;
            };
        }
        // Статический метод для отображения окна: 
        public static void show(string txt)
        {
            // Отображение окна:
            Application.Run(new MyForm(txt));
        }
    }

    // Главный класс:
    class Program
    {
        // Атрибут использования однопоточной модели:
        [STAThread]
        // Главный метод: 
        static void Main()
        {
            // Отображение первого окна:
            MyForm.show("Первое окно");
            // Отображение второго окна:
            MyForm.show("Второе окно");
        }
    }
}
